All of lore.kernel.org
 help / color / mirror / Atom feed
From: john stultz <johnstul@us.ibm.com>
To: Arnaud Lacombe <lacombar@gmail.com>
Cc: Sam Ravnborg <sam@ravnborg.org>,
	gthelen@google.com, tartler@cs.fau.de,
	Dmitry Fink <Dmitry.Fink@palm.com>,
	Darren Hart <dvhart@linux.intel.com>,
	Eric B Munson <ebmunson@us.ibm.com>,
	Bruce Ashfield <Bruce.Ashfield@windriver.com>,
	Michal Marek <mmarek@suse.cz>,
	linux-kbuild@vger.kernel.org
Subject: Re: [PATCH] kconfig: Add merge_config.sh script
Date: Mon, 21 Nov 2011 14:55:27 -0800	[thread overview]
Message-ID: <1321916127.6445.31.camel@work-vm> (raw)
In-Reply-To: <1321915691.6445.29.camel@work-vm>

On Mon, 2011-11-21 at 14:48 -0800, john stultz wrote:
> On Sat, 2011-11-19 at 01:51 -0500, Arnaud Lacombe wrote:
> > You'll find below some more nits
> > 
> > 1) bail out early on error.
> 
> Actually, I spoke a little too soon.
> 
> The set -e option causes us to bomb out if grep doesn't find a config
> option (grep returns 1 if nothing is found). So I'll have to drop that
> change for now.

Catching the error explicitly is easy enough, so folded in the following
fix (copied here from a terminal, so its whitespace damaged, I know) to
your patch:

@@ -20,8 +20,6 @@
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 #  See the GNU General Public License for more details.

-set -e
-
 clean_up() {
        rm -f $TMP_FILE
        exit
@@ -68,6 +66,9 @@ TMP_FILE=$(mktemp ./.tmp.config.XXXXXXXXXX)
 for MERGE_FILE in $MERGE_LIST ; do
        echo "Merging $MERGE_FILE"
        CFG_LIST=$(sed -n "$SED_CONFIG_EXP" $MERGE_FILE)
+       if [ $? != 0 ] ; then
+               exit 1
+       fi

        for CFG in $CFG_LIST ; do
                grep -q -w $CFG $TMP_FILE


thanks
-john


  reply	other threads:[~2011-11-21 22:56 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-11-17 21:58 [PATCH] kconfig: Add merge_config.sh script john stultz
2011-11-17 22:44 ` Arnaud Lacombe
2011-11-17 22:54   ` john stultz
2011-11-19  6:24     ` Arnaud Lacombe
2011-11-21 18:22       ` Darren Hart
2011-11-21 23:29       ` john stultz
2011-11-21 23:41       ` john stultz
2011-11-19  6:51 ` Arnaud Lacombe
2011-11-21 18:32   ` Darren Hart
2011-11-21 22:06   ` John Stultz
2011-11-21 22:48   ` john stultz
2011-11-21 22:55     ` john stultz [this message]
2011-11-22  6:25     ` Arnaud Lacombe
2011-11-20 12:56 ` Michal Marek
2011-11-20 18:05   ` Arnaud Lacombe
2011-11-21 18:34     ` Darren Hart
2011-11-21 19:42 ` [PATCH 1/2] merge_config.sh: use signal names compatible with dash and bash Darren Hart
2011-11-21 19:42   ` [PATCH 2/2] merge_config.sh: whitespace cleanup Darren Hart
2011-11-21 20:14     ` John Stultz
2011-11-21 20:05   ` [PATCH 1/2] merge_config.sh: use signal names compatible with dash and bash John Stultz
  -- strict thread matches above, loose matches on Subject: below --
2011-10-24 22:48 [PATCH] kconfig: Add merge_config.sh script John Stultz
2011-10-24 23:05 ` Darren Hart
2011-10-04 23:45 John Stultz
2011-09-21  5:22 John Stultz
2011-09-21  6:44 ` Richard Cochran
2011-09-21 15:18   ` John Stultz
2011-09-21 15:28     ` Darren Hart
2011-09-22 20:05   ` Sam Ravnborg
2011-09-22 20:05     ` Sam Ravnborg
2011-09-21 12:10 ` Michal Marek
2011-09-21 15:36   ` John Stultz
2011-09-21 21:42 ` Dmitry Fink (Palm GBU)
2011-09-22  1:20 ` Dmitry Fink (Palm GBU)
2011-09-22 16:18   ` Arnaud Lacombe

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1321916127.6445.31.camel@work-vm \
    --to=johnstul@us.ibm.com \
    --cc=Bruce.Ashfield@windriver.com \
    --cc=Dmitry.Fink@palm.com \
    --cc=dvhart@linux.intel.com \
    --cc=ebmunson@us.ibm.com \
    --cc=gthelen@google.com \
    --cc=lacombar@gmail.com \
    --cc=linux-kbuild@vger.kernel.org \
    --cc=mmarek@suse.cz \
    --cc=sam@ravnborg.org \
    --cc=tartler@cs.fau.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.